Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender.servermessage
Class WindowUpdate

    java.lang.Object
      nextapp.echo2.webrender.servermessage.WindowUpdate

    public class WindowUpdate

extends java.lang.Object

A utility class to add `EchoWindowUpdate` message parts to the `ServerMessage`. `EchoWindowUpdate` message parts are used to perform miscellaneous updates to a top-level window.

Constructor Summary
`WindowUpdate()`

Method Summary
`static void` | `renderSetFocus(ServerMessage serverMessage, java.lang.String elementId)` Creates a `focus` operation to set the focused component within the window.
`static void` | `renderSetWindowTitle(ServerMessage serverMessage, java.lang.String newValue)` Creates a `set-title` operation to set the title of a top-level browser window.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowUpdate

    public WindowUpdate()

Method Detail

### renderSetFocus

    public static void renderSetFocus(ServerMessage serverMessage,
                                      java.lang.String elementId)

  Creates a `focus` operation to set the focused component within the window.

  Parameters:
    `serverMessage` - the outgoing `ServerMessage`
    `elementId` - the new focused element id

### renderSetWindowTitle

    public static void renderSetWindowTitle(ServerMessage serverMessage,
                                            java.lang.String newValue)

  Creates a `set-title` operation to set the title of a top-level browser window.

  Parameters:
    `serverMessage` - the outgoing `ServerMessage`
    `newValue` - the new window title

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD